import request from '@/utils/request'

// 查询预测模型信息列表
export function listForecastModel(query) {
  return request({
    url: '/manage/forecastModel/list',
    method: 'get',
    params: query
  })
}

// 查询预测模型信息详细
export function getForecastModel(id) {
  return request({
    url: '/manage/forecastModel/' + id,
    method: 'get'
  })
}

// 新增预测模型信息
export function addForecastModel(data) {
  return request({
    url: '/manage/forecastModel',
    method: 'post',
    data: data
  })
}

// 修改预测模型信息
export function updateForecastModel(data) {
  return request({
    url: '/manage/forecastModel',
    method: 'put',
    data: data
  })
}

// 删除预测模型信息
export function delForecastModel(id) {
  return request({
    url: '/manage/forecastModel/' + id,
    method: 'delete'
  })
}
